/*
 * ====================================================================
 * Copyright (c) 2004 TMate Software Ltd.  All rights reserved.
 *
 * This software is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at http://tmate.org/svn/license.html.
 * If newer versions of this license are posted there, you may use a
 * newer version instead, at your option.
 * ====================================================================
 */
package org.tmatesoft.svn.util;

import java.io.File;
import java.io.InputStream;

import org.tigris.subversion.javahl.ClientException;
import org.tmatesoft.svn.core.SVNException;
import org.tmatesoft.svn.core.internal.wc.SVNConfigFile;
import org.tmatesoft.svn.core.internal.wc.SVNFileUtil;
import org.tmatesoft.svn.core.io.diff.SVNDeltaGenerator;


/**
 * @version 1.0
 * @author  TMate Software Ltd.
 */
public class SVNTest {
    

    public static void main(String[] args) throws ClientException, SVNException {
        SVNDeltaGenerator generator = new SVNDeltaGenerator();
        InputStream working = null;
        InputStream base = null;
        try {
            base = SVNFileUtil.openFileForReading(new File("c:/test/svn/delta/base"));
            working = SVNFileUtil.openFileForReading(new File("c:/test/svn/delta/working"));
            generator.sendDelta("", base, working, null, true);
        } finally {
            SVNFileUtil.closeFile(base);
            SVNFileUtil.closeFile(working);
        }
        
    }
}
